{% set PageTitle = "Homepage - Master" %}
{% set BodyClass = "homePage" %}

{% extends "master.html" %}

{% block main %}
  <div id='producttiles'></div>
  <div id='producttiles2'></div>
  <div id='moreproducts'></div>
  <div id='reviews'></div>
  <div id='articles'></div>
{% endblock %}

{% block styles %}
{% endblock %}
{% block scripts %}
  <script>

    window.addEventListener('load', function(){
    var item = {
      heading : 'Home insurance',
      icon : '<img src="dist/images/cms/ArticleHub-Home-160x120.svg" />',
      cta:  {type: "primary", link:'<a href="#">Get a quote</a>'},
      cta2:  {type: "secondary", link:'<a href="#">More information</a>'},
      link: {href: '#'},
      extralink: '<a href="#">Existing customer?</a>',
    };
    var item2 = {
      heading : 'Car Insurance',
      icon : '<img src="dist/images/cms/Car-Cover-Features-360x140.svg" />',
      cta:  {type: "primary", link:'<a href="#">Get a quote</a>'},
      cta2:  {type: "secondary", link:'<a href="#">More information</a>'},
      link: {href:'#'},
      extralink: '<a href="#">Existing customer?</a>',
    };
    var item3 = {
      heading : 'Pensions & retirement',
      icon : '<img src="dist/images/cms/ArticleHub-Home-160x120.svg" />',
      cta:  {type: "primary", link:'<a href="#">Get a quote</a>'},
      link: {href: '#'},
      extralink: '<a href="#">Existing customer?</a>',
    };
    var item4 = {
      heading : 'Life Insurance',
      icon : '<img src="dist/images/cms/Car-Cover-Features-360x140.svg" />',
      cta:  {type: "primary", link:'<a href="#">Get a quote</a>'},
      // cta2:  {type: "secondary", link:'<a href="#">More information</a>'},
      link: {href: '#'},
      extralink: '<a href="#">Existing customer?</a>',
      extralink2: '<a href="#">Another link</a>',
    };

    ReactDOM.render(React.createElement(Components.ProductTiles, {
      id : 'module-ProductTiles1',
      theme : {
        themeName:'warm-grey',
      },
      hasLargeFirstRow: true,
      isOverlappingPreviousElement:true,
      items : [item2, item4, item, item, item3, item3],
      isWide : true,
    }), document.getElementById("producttiles"));


    ReactDOM.render(React.createElement(Components.Quicklinks, {
        heading:"Our other award winning products",
        hasReducedTopPadding: true,
        isThirds: true,
        intro: {
          paragraph: '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla in euismod est. Integer dictum nisl turpis, eu ultricies eros finibus vitae. Aliquam</p>',
          image: '<img src="dist/images/cms/Car-Cover-Features-360x140.svg" />'
        },
        links: {
          label:'Our Products',
          items:[
            '<a href="#">Multi car insurance</a>',
            '<a href="#">Pet insurance</a>',
            '<a href="#">Breakdown cover</a>',
            '<a href="#">Motorbike insurance</a>',
            '<a href="#">Caravan Insurance</a>',
            '<a href="#">Landlord insurance</a>',
            '<a href="#">Classic car</a>',
            '<a href="#">Inclome protection</a>'
          ]
        },
        theme:{
          themeName:'warm-grey'
        },
      }), document.getElementById("moreproducts"));

    ReactDOM.render(React.createElement(Components.HeaderCta, {
    id: 'module-reviews',
      heading: "We don't want to brag, but <b>99%</b> of our customers would buy from us again",
      label: 'Good value, great values',
      cta: {type:'primary', link:'<a href="#">Read more customer reviews</a>'},
      icon: "<img src='dist/images/cms/Heart-group-80x80.svg'/>",
      copy: "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>",
      theme: {
        themeBefore:'warm-grey',
        themeAfter: 'white',
        themeName: 'white',
        topCurve:{
          type:'convex'
        },
      }

    }), document.getElementById("reviews"));

    })

  </script>
{% endblock %}

{% block header %}
  <script>

    ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
      desktopImage:{
        html:'<img src="dist/images/cms/LV_Homepage_Headers_1_1440.jpg" alt="" />',
        src:'dist/images/cms/LV_Homepage_Headers_1_1440.jpg'
      },
      mobImage:{
        html:'<img src=dist/images/cms/0001_Global_Home.jpg" alt="" />',
        src:'dist/images/cms/0001_Global_Home.jpg'
      },
      altText:'alt test goes here',
      isLeftAligned:true,
      headline: 'Helping you live confident with <a href="#">insurance</a>, <a href="#">life insurance</a>, <a href="#">pensions</a> or <a href="#">investments</a> from the heart',
      label: 'Welcome to LV.com',
      isHomepageHeader: true,
      isGlobalHomepageHeader: true,
      theme: {
        themeAfter:'warm-grey',
        themeAfterMobile: 'white'
      }
    }), document.getElementById("HeaderBanner"));
  </script>
{% endblock %}

{% block MasterHeader %}
<script>
  ReactDOM.render(React.createElement(PriorityComponents.MasterHeader, {
    mobileLabel: 'Menu',
    hasNoneSelected:true,
    items:[
      {
        label:'Insurance',
        link:{
          html:'<a href="homepage-insurance.html">Insurance</a>',
          href:'homepage-insurance.html',
        },
      },
      {
        label:'Life Insurance, Investments & Pensions',
        link:{
          html:'<a href="homepage-life.html">Life Insurance, Investments & Pensions</a>',
          href:'homepage-life.html'
        },
      },
    ]
  }), document.getElementById("MasterHeader"));
</script>
{% endblock %}

    {% block NavPrimary %}
      <script>
        ReactDOM.render(React.createElement(PriorityComponents.PrimaryNav, {
          isMini:true,
          logo:'',
          logoLink:{href:"/src/Frontend"},
          logoTag:'h1'
        }), document.getElementById("primaryNav"));
      </script>
    {% endblock %}

{% block NavBreadcrumb %}{% endblock %}
